# Created by pyp2rpm-3.3.2
%global pypi_name zope-exceptions

%bcond_with test

Name:           python-%{pypi_name}
Version:        4.3
Release:        %mkrel 3
Summary:        Zope Exceptions
Group:          Development/Python
License:        ZPL 2.1
URL:            https://github.com/zopefoundation/zope.exceptions
Source0:        https://files.pythonhosted.org/packages/source/z/%{pypi_name}/zope.exceptions-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(repoze.sphinx.autointerface)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(zope.interface)
%if %{with test}
BuildRequires:  python3dist(zope.testrunner)
%endif

%description
This package contains exception exceptions and implementations which are so
general purpose that they don't belong in Zope application-specific packages.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(repoze.sphinx.autointerface)
Requires:       python3dist(setuptools)
Requires:       python3dist(sphinx)
Requires:       python3dist(zope.interface)

%description -n python3-%{pypi_name}
This package contains exception exceptions and implementations which are so
general purpose that they don't belong in Zope application-specific packages.

%prep
%autosetup -n zope.exceptions-%{version}

# Remove bundled egg-info
rm -rf zope.exceptions.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

# we don't need these
find %{buildroot} -name "*.pth" -delete

%if %{with test}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%doc html
%{python3_sitelib}/zope/exceptions/
%{python3_sitelib}/zope.exceptions-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 4.3-3.mga8
+ Revision: 1534628
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 guillomovitch <guillomovitch> 4.3-2.mga8
+ Revision: 1449620
- rebuild for python 3.8

* Sun Aug 25 2019 wally <wally> 4.3-1.mga8
+ Revision: 1432230
- imported package python-zope-exceptions

